> For the complete documentation index, see [llms.txt](https://docs.ctx.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ctx.xyz/developers/typescript-sdk/working-with-domains.md).

# Working with Domains

Domains represent verified and curated entities, such as companies, projects, or individuals.

### Fetch Domain Information

Fetch details of a specific domain or the default domain associated with your API key:

```typescript
// Fetch your domain
const yourDomain = await ctx.domain();

// Fetch a specific domain.tld
const domain = await ctx.domain("context.startup");
```

### Domain Properties

Access and display properties of a domain:

```typescript
console.log(domain.data.name);
console.log(domain.data.fullDomain);
console.log(domain.data.tld);
console.log(domain.data.documents);
console.log(domain.data.status);
console.log(domain.data.createdAt);
console.log(domain.data.updatedAt);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ctx.xyz/developers/typescript-sdk/working-with-domains.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
